/*
 * Copyright 2018 Scytl Secure Electronic Voting SA
 *
 * All rights reserved
 *
 * See our extended copyright notice in *file 'Copyright.txt' which is part of this source code package
 */
package com.scytl.products.ov.sdm.domain.model.generator;

/**
 * This bean holds all the information returned by a data generator.
 */
public class DataGeneratorResponse {

	/**
	 * If the data was generated successfully or not.
	 */
	private boolean successful = true;

	private String result;
	
	/**
	 * Returns the current value of the field successful.
	 *
	 * @return Returns the successful.
	 */
	public boolean isSuccessful() {
		return successful;
	}

	/**
	 * Sets the value of the field successful.
	 *
	 * @param successful The successful to set.
	 */
	public void setSuccessful(boolean successful) {
		this.successful = successful;
	}

	
	public String getResult() {
		return result;
	}

	public void setResult(final String result) {
		this.result = result;
	}
}
